## python-pyftpdlib 0.5.2

=== debian/changelog ===
python-pyftpdlib (0.5.2-1) unstable; urgency=low

  * Initial release. (Closes: #528602)

 -- Janos Guljas <janos@janos.in.rs>  Sun, 20 Jun 2010 22:31:55 +0200
