=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	PYTHONPATH=. python test/test_ftpd.py
