## python-pyftpdlib 0.6.0

=== debian/changelog ===
python-pyftpdlib (0.6.0-1) unstable; urgency=low

  [ Janos Guljas ]
  * New upstream release.
  * Changed my email address to janos@resenje.org.
  * Bump standards to 3.9.2. No changes needed.
  * Updated debian/copyright to DEP5 format.
  * Switch to dh_python2.

  [ Jan Dittberner ]
  * depend on python (>= 2.6.6-3~) instead of python-all (>= 2.5)

 -- Janos Guljas <janos@resenje.org>  Fri, 27 May 2011 17:50:09 +0200
