=== debian/control ===
Source: python-pyftpdlib
Section: python
Priority: optional
Maintainer: Janos Guljas <janos@resenje.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/pyftpdlib/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-pyftpdlib/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-pyftpdlib/trunk/

Package: python-pyftpdlib
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Python FTP server library
 Python FTP server library provides a high-level portable interface to
 easily write asynchronous FTP servers with Python.
 .
 pyftpdlib is currently the most complete RFC-959 FTP server
 implementation available for Python programming language. It is used
 in projects like Google Chromium and Bazaar.
