=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Janos Guljas <janos@resenje.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
 Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/pyftpdlib/
