=== debian/watch ===
version=3
http://code.google.com/p/pyftpdlib/  http://pyftpdlib.googlecode.com/files/pyftpdlib-(.*).tar.gz
