## python-pyftpdlib 1.4.0

=== debian/changelog ===
python-pyftpdlib (1.4.0-1) unstable; urgency=low

  [ W. Martin Borgert ]
  * Add Python 3 package. (Closes: #782512)
  * Change homepage from Google code to GitHub. (Closes: #782514)
  * Add myself to Uploaders.
  * New upstream version. (Closes: #794188)

  [ Janos Guljas, 2013-08-15 ]
  * Depend and Build-Depend on python-sendfile >= 2.0.0. (Closes: #718576)

 -- W. Martin Borgert <debacle@debian.org>  Sun, 22 Nov 2015 16:54:04 +0000
