=== debian/control ===
Source: python-pyftpdlib
Section: python
Priority: optional
Maintainer: Janos Guljas <janos@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
           W. Martin Borgert <debacle@debian.org>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-sendfile (>= 2.0.0),
               python3-sendfile (>= 2.0.0),
               python-setuptools (>= 0.6b3),
               python3-all,
               python3-setuptools,
               dh-python
Standards-Version: 3.9.6
Homepage: https://github.com/giampaolo/pyftpdlib/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-pyftpdlib.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pyftpdlib.git

Package: python-pyftpdlib
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: python-sendfile (>= 2.0.0)
Provides: ${python:Provides}
Description: Python FTP server library
 Python FTP server library provides a high-level portable interface to
 easily write asynchronous FTP servers with Python.
 .
 pyftpdlib is currently the most complete RFC-959 FTP server
 implementation available for Python programming language. It is used
 in projects like Google Chromium and Bazaar.
 .
 This package provides the Python 2.x module.

Package: python3-pyftpdlib
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-sendfile (>= 2.0.0)
Provides: ${python3:Provides}
Description: Python FTP server library
 Python FTP server library provides a high-level portable interface to
 easily write asynchronous FTP servers with Python.
 .
 pyftpdlib is currently the most complete RFC-959 FTP server
 implementation available for Python programming language. It is used
 in projects like Google Chromium and Bazaar.
 .
 This package provides the Python 3.x module.
