=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyftpdlib

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
	PYTHONPATH=. python test/test_ftpd.py
endif
