## python-pyftpdlib 1.5.1

=== debian/changelog ===
python-pyftpdlib (1.5.1-4ubuntu1) artful; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Increase test timeout limit on buildds so that tests wont error out
      (Fix FTBFS on amd64).
    + Keep the above change as disabling unstable tests wont suffice on
      ubuntu buildds.  

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 01 Jun 2017 15:10:00 +0530

python-pyftpdlib (1.5.1-4) unstable; urgency=medium

  * Disable automatic tests, that are known to be unstable (Closes: #856335)
  * Remove Janos Guljas as maintainer (Closes: #849728)

 -- W. Martin Borgert <debacle@debian.org>  Sat, 22 Apr 2017 22:45:44 +0000

python-pyftpdlib (1.5.1-3ubuntu1) zesty; urgency=medium

  * Increase test timeout limit on buildds so that tests wont error out
    (Fix FTBFS on amd64).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 11 Feb 2017 11:21:24 +0530

python-pyftpdlib (1.5.1-3) unstable; urgency=medium

  * Set TRAVIS=1 to skip one unit test, marked by upstream as
    "failing on Travis" (Closes: #842007)

 -- W. Martin Borgert <debacle@debian.org>  Sun, 25 Dec 2016 20:40:48 +0000

python-pyftpdlib (1.5.1-2) unstable; urgency=medium

  * Build-Depend on python{,3}-openssl/python3-openssl and python{,3}-mock.
  * Run tests from source dir. (Closes: #841079) hopefully

 -- W. Martin Borgert <debacle@debian.org>  Tue, 18 Oct 2016 00:55:20 +0000

python-pyftpdlib (1.5.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #833454)
  [ Ondřej Nový 2016-03-29 ]
  * Fixed VCS URL (https)

 -- W. Martin Borgert <debacle@debian.org>  Mon, 10 Oct 2016 23:33:12 +0000
