=== debian/control ===
--- 
+++ 
@@ -1,20 +1,24 @@
 Source: python-pyftpdlib
 Section: python
 Priority: optional
-Maintainer: Janos Guljas <janos@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
-           W. Martin Borgert <debacle@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+Uploaders: W. Martin Borgert <debacle@debian.org>
 Build-Depends: debhelper (>= 9),
                python-all (>= 2.6.6-3~),
+               python-mock,
+               python3-mock,
+               python-openssl,
+               python3-openssl,
                python-sendfile (>= 2.0.0),
                python3-sendfile (>= 2.0.0),
                python-setuptools (>= 0.6b3),
                python3-all,
                python3-setuptools,
                dh-python
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/giampaolo/pyftpdlib/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-pyftpdlib.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pyftpdlib.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pyftpdlib.git
 
 Package: python-pyftpdlib
