=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,18 @@
 
 override_dh_auto_test:
 ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
-	PYTHONPATH=. python test/test_ftpd.py
+	EXCLUDETESTS="test_functional.py test_functional_ssl.py" \
+	PYTHONPATH=. TRAVIS=1 python pyftpdlib/test/runner.py
+	EXCLUDETESTS="test_functional.py test_functional_ssl.py" \
+	PYTHONPATH=. TRAVIS=1 python3 pyftpdlib/test/runner.py
 endif
+
+override_dh_python2:
+	dh_python2 -O--buildsystem=pybuild
+	rm -f ./debian/python-pyftpdlib/usr/bin/ftpbench \
+	rm -rf ./debian/python-pyftpdlib/usr/lib/python2.7/dist-packages/pyftpdlib/test/
+
+override_dh_python3:
+	dh_python3 -O--buildsystem=pybuild
+	rm -f ./debian/python3-pyftpdlib/usr/bin/ftpbench
+	rm -rf ./debian/python3-pyftpdlib/usr/lib/python3/dist-packages/pyftpdlib/test/
