## python-pyftpdlib 1.5.3

=== debian/changelog ===
python-pyftpdlib (1.5.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ W. Martin Borgert ]
  * New upstream version
  * Bump standards and dh compat
  * Remove obsolete patch
  * Add -doc package

 -- W. Martin Borgert <debacle@debian.org>  Sat, 10 Mar 2018 14:38:48 +0000
