=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=pyftpdlib
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
@@ -22,3 +22,8 @@
 	dh_python3 -O--buildsystem=pybuild
 	rm -f ./debian/python3-pyftpdlib/usr/bin/ftpbench
 	rm -rf ./debian/python3-pyftpdlib/usr/lib/python3/dist-packages/pyftpdlib/test/
+
+override_dh_auto_build:
+	dh_auto_build
+	( cd docs; \
+	  PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -M html . _build )
