=== debian/changelog ===
python-pyftpdlib (1.5.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938065

 -- Sandro Tosi <morph@debian.org>  Fri, 13 Dec 2019 13:28:46 -0500

python-pyftpdlib (1.5.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ W. Martin Borgert ]
  * New upstream version

 -- W. Martin Borgert <debacle@debian.org>  Thu, 25 Oct 2018 22:33:42 +0000
