=== debian/control ===
--- 
+++ 
@@ -3,40 +3,22 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: W. Martin Borgert <debacle@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 11),
                dh-python,
-               python-all (>= 2.6.6-3~),
                python3-all,
-               python-mock,
                python3-mock,
-               python-openssl,
                python3-openssl,
-               python-sendfile (>= 2.0.0),
+               python3-psutil,
                python3-sendfile (>= 2.0.0),
-               python-setuptools (>= 0.6b3),
                python3-setuptools,
 	       python3-sphinx,
-	       python3-sphinx-rtd-theme
+	       python3-sphinx-rtd-theme,
+               python3-unittest2,
 Standards-Version: 4.1.3
 Rules-Requires-Root: no
 Homepage: https://github.com/giampaolo/pyftpdlib/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-pyftpdlib.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pyftpdlib
-
-Package: python-pyftpdlib
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
-Recommends: python-sendfile (>= 2.0.0)
-Provides: ${python:Provides}
-Description: Python FTP server library (Python 2)
- Python FTP server library provides a high-level portable interface to
- easily write asynchronous FTP servers with Python.
- .
- pyftpdlib is currently the most complete RFC-959 FTP server
- implementation available for Python programming language. It is used
- in projects like Google Chromium and Bazaar.
- .
- This package provides the Python 2.x module.
 
 Package: python3-pyftpdlib
 Architecture: all
