## python-pyftpdlib 1.5.7

=== Makefile ===
--- 
+++ 
@@ -2,20 +2,25 @@
 # To use a specific Python version run:
 # $ make install PYTHON=python3.3
 
-PYTHON = python
+PYTHON = python3
 TSCRIPT = pyftpdlib/test/runner.py
 ARGS =
 DEV_DEPS = \
+	git+https://github.com/PyCQA/autoflake.git \
+	cffi \
 	check-manifest \
 	coverage \
 	flake8 \
+	flake8-blind-except \
+	flake8-bugbear \
+	flake8-debugger \
+	flake8-print \
+	flake8-quotes \
+	isort \
 	mock==1.0.1 \
-	pep8 \
-	pyflakes \
 	setuptools \
 	sphinx
 TEST_DEPS = \
-	nose \
 	psutil \
 	pyopenssl \
 	pysendfile \
@@ -23,6 +28,12 @@
 
 # In not in a virtualenv, add --user options for install commands.
 INSTALL_OPTS = `$(PYTHON) -c "import sys; print('' if hasattr(sys, 'real_prefix') else '--user')"`
+TEST_PREFIX = PYTHONWARNINGS=always
+
+
+# ===================================================================
+# Install
+# ===================================================================
 
 all: test
 
@@ -43,6 +54,7 @@
 		*\$testfile* \
 		.coverage \
 		.tox \
+		pyftpd-tmp-\* \
 		build/ \
 		dist/ \
 		docs/_build/ \
@@ -56,7 +68,7 @@
 
 uninstall:  ## Uninstall this package.
 	cd ..; $(PYTHON) -m pip uninstall -y -v pyftpdlib || true
-	$(PYTHON) scripts/purge_installation.py
+	$(PYTHON) scripts/internal/purge_installation.py
 
 install-pip:  ## (only if necessary)
 	$(PYTHON) -c \
@@ -80,45 +92,49 @@
 setup-dev-env:  ## Install GIT hooks, pip, test deps (also upgrades them).
 	${MAKE} install-git-hooks
 	${MAKE} install-pip
-	$(PYTHON) -m pip install $(INSTALL_OPTS) --upgrade pip
+	$(PYTHON) -m pip install $(INSTALL_OPTS) --upgrade pip setuptools
 	$(PYTHON) -m pip install $(INSTALL_OPTS) --upgrade $(TEST_DEPS)
 	$(PYTHON) -m pip install $(INSTALL_OPTS) --upgrade $(DEV_DEPS)
 
+# ===================================================================
+# Tests
+# ===================================================================
+
 test:  ## Run all tests.
 	${MAKE} install
-	PYTHONWARNINGS=all $(PYTHON) $(TSCRIPT)
+	$(TEST_PREFIX) $(PYTHON) $(TSCRIPT)
 
 test-functional:  ## Run functional FTP tests.
 	${MAKE} install
-	PYTHONWARNINGS=all $(PYTHON) pyftpdlib/test/test_functional.py
+	$(TEST_PREFIX) $(PYTHON) pyftpdlib/test/test_functional.py
 
 test-functional-ssl:  ## Run functional FTPS tests.
 	${MAKE} install
-	PYTHONWARNINGS=all $(PYTHON) pyftpdlib/test/test_functional_ssl.py
+	$(TEST_PREFIX) $(PYTHON) pyftpdlib/test/test_functional_ssl.py
 
 test-servers:  ## Run tests for FTPServer and its subclasses.
 	${MAKE} install
-	PYTHONWARNINGS=all $(PYTHON) pyftpdlib/test/test_servers.py
+	$(TEST_PREFIX) $(PYTHON) pyftpdlib/test/test_servers.py
 
 test-authorizers:  ## Run tests for authorizers.
 	${MAKE} install
-	PYTHONWARNINGS=all $(PYTHON) pyftpdlib/test/test_authorizers.py
+	$(TEST_PREFIX) $(PYTHON) pyftpdlib/test/test_authorizers.py
 
 test-filesystems:  ## Run filesystem tests.
 	${MAKE} install
-	PYTHONWARNINGS=all $(PYTHON) pyftpdlib/test/test_filesystems.py
+	$(TEST_PREFIX) $(PYTHON) pyftpdlib/test/test_filesystems.py
 
 test-ioloop:  ## Run IOLoop tests.
 	${MAKE} install
-	PYTHONWARNINGS=all $(PYTHON) pyftpdlib/test/test_ioloop.py
+	$(TEST_PREFIX) $(PYTHON) pyftpdlib/test/test_ioloop.py
 
 test-misc:  ## Run miscellaneous tests.
 	${MAKE} install
-	PYTHONWARNINGS=all $(PYTHON) pyftpdlib/test/test_misc.py
+	$(TEST_PREFIX) $(PYTHON) pyftpdlib/test/test_misc.py
 
 test-by-name:  ## e.g.: make test-by-name ARGS=pyftpdlib.test.test_functional.TestFtpStoreData
 	${MAKE} install
-	PYTHONWARNINGS=all $(PYTHON) -m unittest -v $(ARGS)
+	$(TEST_PREFIX) $(PYTHON) -m unittest -v $(ARGS)
 
 test-coverage:  ## Run test coverage.
 	${MAKE} install
@@ -129,15 +145,34 @@
 	$(PYTHON) -m coverage html
 	$(PYTHON) -m webbrowser -t htmlcov/index.html
 
-pep8:  ## PEP8 linter.
-	@git ls-files | grep \\.py$ | xargs $(PYTHON) -m pep8
-
-pyflakes:  ## Pyflakes linter.
-	@export PYFLAKES_NODOCTEST=1 && \
-		git ls-files | grep \\.py$ | xargs $(PYTHON) -m pyflakes
-
-flake8:  ## flake8 linter.
-	@git ls-files | grep \\.py$ | xargs $(PYTHON) -m flake8
+# ===================================================================
+# Linters
+# ===================================================================
+
+flake8:  ## Run flake8 linter.
+	git ls-files '*.py' | xargs $(PYTHON) -m flake8 --config=.flake8
+
+isort:  ## Run isort linter.
+	git ls-files '*.py' | xargs $(PYTHON) -m isort --settings=.isort.cfg --check-only
+
+lint-all:  ## Run all linters
+	${MAKE} flake8
+	${MAKE} isort
+
+fix-flake8:  ## Run autopep8, fix some Python flake8 / pep8 issues.
+	@git ls-files '*.py' | xargs $(PYTHON) -m autopep8 --in-place --jobs 0 --global-config=.flake8
+	@git ls-files '*.py' | xargs $(PYTHON) -m autoflake --in-place --jobs 0 --remove-all-unused-imports --remove-unused-variables --remove-duplicate-keys
+
+fix-isort:  ## Fix imports with isort.
+	git ls-files '*.py' | xargs $(PYTHON) -m isort --settings=.isort.cfg
+
+fix-all:  ## Run all fixers
+	${MAKE} fix-flake8
+	${MAKE} fix-isort
+
+# ===================================================================
+# Distribution
+# ===================================================================
 
 check-manifest:  ## Inspect MANIFEST.in file.
 	$(PYTHON) -m check_manifest -v $(ARGS)
@@ -150,8 +185,8 @@
 	git tag -a release-`python -c "import setup; print(setup.VERSION)"` -m `git rev-list HEAD --count`:`git rev-parse --short HEAD`
 	git push --follow-tags
 
-install-git-hooks:  ## Install GIT pre-commit hook
-	ln -sf ../../.git-pre-commit .git/hooks/pre-commit
+install-git-hooks:  ## Install GIT pre-commit hook.
+	ln -sf ../../scripts/internal/git_pre_commit.py .git/hooks/pre-commit
 	chmod +x .git/hooks/pre-commit
 
 grep-todos:  ## Look for TODOs in source files.
@@ -174,10 +209,10 @@
 	${MAKE} git-tag-release
 
 generate-manifest:  ## Generates MANIFEST.in file.
-	$(PYTHON) scripts/generate_manifest.py > MANIFEST.in
+	$(PYTHON) scripts/internal/generate_manifest.py > MANIFEST.in
 
 print-announce:  ## Print announce of new release.
-	@$(PYTHON) scripts/print_announce.py
+	@$(PYTHON) scripts/internal/print_announce.py
 
 help: ## Display callable targets.
 	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-20s\033[0m %s\n", $$1, $$2}'
