=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: python-pyftpdlib
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: W. Martin Borgert <debacle@debian.org>
-Build-Depends: debhelper-compat (= 11),
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Martin <debacle@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-mock,
                python3-openssl,
                python3-psutil,
-               python3-sendfile (>= 2.0.0),
                python3-setuptools,
 	       python3-sphinx,
 	       python3-sphinx-rtd-theme,
@@ -17,13 +16,12 @@
 Standards-Version: 4.1.3
 Rules-Requires-Root: no
 Homepage: https://github.com/giampaolo/pyftpdlib/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-pyftpdlib.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pyftpdlib
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyftpdlib.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyftpdlib
 
 Package: python3-pyftpdlib
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: python3-sendfile (>= 2.0.0)
 Provides: ${python3:Provides}
 Description: Python FTP server library (Python 3)
  Python FTP server library provides a high-level portable interface to
