## python-pyftpdlib 1.5.9

=== Makefile ===
--- 
+++ 
@@ -1,34 +1,37 @@
 # Shortcuts for various tasks (UNIX only).
 # To use a specific Python version run:
-# $ make install PYTHON=python3.3
+# $ make install PYTHON=python3.7
 
 PYTHON = python3
 TSCRIPT = pyftpdlib/test/runner.py
 ARGS =
-DEV_DEPS = \
-	git+https://github.com/PyCQA/autoflake.git \
-	cffi \
+PYDEPS = \
 	check-manifest \
 	coverage \
-	flake8 \
-	flake8-blind-except \
-	flake8-bugbear \
-	flake8-debugger \
-	flake8-print \
-	flake8-quotes \
-	isort \
-	mock==1.0.1 \
+	psutil \
+	pylint \
+	pyopenssl \
+	rstcheck \
+	ruff \
 	setuptools \
-	sphinx
-TEST_DEPS = \
-	psutil \
-	pyopenssl \
-	pysendfile \
-	unittest2
+	teyit \
+	toml-sort \
+	twine
+PYVER = $(shell $(PYTHON) -c "import sys; print(sys.version_info[0])")
+ifeq ($(PYVER), 2)
+	PYDEPS = \
+		ipaddress \
+		mock \
+		psutil \
+		pyopenssl \
+		pysendfile \
+		setuptools
+endif
 
 # In not in a virtualenv, add --user options for install commands.
 INSTALL_OPTS = `$(PYTHON) -c "import sys; print('' if hasattr(sys, 'real_prefix') else '--user')"`
 TEST_PREFIX = PYTHONWARNINGS=always
+NUM_WORKERS = `$(PYTHON) -c "import os; print(os.cpu_count() or 1)"`
 
 
 # ===================================================================
@@ -38,7 +41,8 @@
 all: test
 
 clean:  ## Remove all build files.
-	rm -rf `find . -type d -name __pycache__ \
+	@rm -rfv `find . \
+		-type d -name __pycache__ \
 		-o -type f -name \*.bak \
 		-o -type f -name \*.orig \
 		-o -type f -name \*.pyc \
@@ -48,17 +52,19 @@
 		-o -type f -name \*.so \
 		-o -type f -name \*.~ \
 		-o -type f -name \*\$testfn`
-	rm -rf \
+	@rm -rfv \
 		*.core \
 		*.egg-info \
 		*\$testfile* \
 		.coverage \
-		.tox \
-		pyftpd-tmp-\* \
+		.failed-tests.txt \
+		.pytest_cache \
+		.ruff_cache/ \
 		build/ \
 		dist/ \
 		docs/_build/ \
 		htmlcov/ \
+		pyftpd-tmp-* \
 		tmp/
 
 install:  ## Install this package.
@@ -74,7 +80,7 @@
 	$(PYTHON) -c \
 		"import sys, ssl, os, pkgutil, tempfile, atexit; \
 		sys.exit(0) if pkgutil.find_loader('pip') else None; \
-		pyexc = 'from urllib.request import urlopen' if sys.version_info[0] == 3 else 'from urllib2 import urlopen'; \
+		pyexc = 'from urllib.request import urlopen' if sys.version_info[0] >= 3 else 'from urllib2 import urlopen'; \
 		exec(pyexc); \
 		ctx = ssl._create_unverified_context() if hasattr(ssl, '_create_unverified_context') else None; \
 		kw = dict(context=ctx) if ctx else {}; \
@@ -89,20 +95,19 @@
 		f.close(); \
 		sys.exit(code);"
 
-setup-dev-env:  ## Install GIT hooks, pip, test deps (also upgrades them).
+setup-dev-env: ## Install GIT hooks, pip, test deps (also upgrades them).
 	${MAKE} install-git-hooks
 	${MAKE} install-pip
 	$(PYTHON) -m pip install $(INSTALL_OPTS) --upgrade pip setuptools
-	$(PYTHON) -m pip install $(INSTALL_OPTS) --upgrade $(TEST_DEPS)
-	$(PYTHON) -m pip install $(INSTALL_OPTS) --upgrade $(DEV_DEPS)
+	$(PYTHON) -m pip install $(INSTALL_OPTS) --upgrade $(PYDEPS)
 
 # ===================================================================
 # Tests
 # ===================================================================
 
-test:  ## Run all tests.
-	${MAKE} install
-	$(TEST_PREFIX) $(PYTHON) $(TSCRIPT)
+test:  ## Run all tests. To run a specific test: do "make test ARGS=pyftpdlib.test.test_functional.TestFtpStoreData"
+	${MAKE} install
+	$(TEST_PREFIX) $(PYTHON) $(TSCRIPT) $(ARGS)
 
 test-functional:  ## Run functional FTP tests.
 	${MAKE} install
@@ -131,10 +136,6 @@
 test-misc:  ## Run miscellaneous tests.
 	${MAKE} install
 	$(TEST_PREFIX) $(PYTHON) pyftpdlib/test/test_misc.py
-
-test-by-name:  ## e.g.: make test-by-name ARGS=pyftpdlib.test.test_functional.TestFtpStoreData
-	${MAKE} install
-	$(TEST_PREFIX) $(PYTHON) -m unittest -v $(ARGS)
 
 test-coverage:  ## Run test coverage.
 	${MAKE} install
@@ -149,26 +150,40 @@
 # Linters
 # ===================================================================
 
-flake8:  ## Run flake8 linter.
-	git ls-files '*.py' | xargs $(PYTHON) -m flake8 --config=.flake8
-
-isort:  ## Run isort linter.
-	git ls-files '*.py' | xargs $(PYTHON) -m isort --settings=.isort.cfg --check-only
+ruff:  ## Run ruff linter.
+	@git ls-files '*.py' | xargs $(PYTHON) -m ruff check --config=pyproject.toml --no-cache
+
+_pylint:  ## Python pylint (not mandatory, just run it from time to time)
+	@git ls-files '*.py' | xargs $(PYTHON) -m pylint --rcfile=pyproject.toml --jobs=${NUM_WORKERS}
+
+lint-rst:  ## Run RsT linter.
+	@git ls-files '*.rst' | xargs rstcheck --config=pyproject.toml
+
+lint-toml:  ## Linter for pyproject.toml
+	@git ls-files '*.toml' | xargs toml-sort --check
 
 lint-all:  ## Run all linters
-	${MAKE} flake8
-	${MAKE} isort
-
-fix-flake8:  ## Run autopep8, fix some Python flake8 / pep8 issues.
-	@git ls-files '*.py' | xargs $(PYTHON) -m autopep8 --in-place --jobs 0 --global-config=.flake8
-	@git ls-files '*.py' | xargs $(PYTHON) -m autoflake --in-place --jobs 0 --remove-all-unused-imports --remove-unused-variables --remove-duplicate-keys
-
-fix-isort:  ## Fix imports with isort.
-	git ls-files '*.py' | xargs $(PYTHON) -m isort --settings=.isort.cfg
-
-fix-all:  ## Run all fixers
-	${MAKE} fix-flake8
-	${MAKE} fix-isort
+	${MAKE} ruff
+	${MAKE} lint-rst
+	${MAKE} lint-toml
+
+# ===================================================================
+# Fixers
+# ===================================================================
+
+fix-ruff:
+	@git ls-files '*.py' | xargs $(PYTHON) -m ruff --config=pyproject.toml --no-cache --fix
+
+fix-toml:  ## Fix pyproject.toml
+	@git ls-files '*.toml' | xargs toml-sort
+
+fix-unittests:  ## Fix unittest idioms.
+	@git ls-files '*test_*.py' | xargs $(PYTHON) -m teyit --show-stats
+
+fix-all:  ## Run all code fixers.
+	${MAKE} fix-ruff
+	${MAKE} fix-toml
+	${MAKE} fix-unittests
 
 # ===================================================================
 # Distribution
@@ -182,7 +197,7 @@
 	$(PYTHON) setup.py sdist upload
 
 git-tag-release:  ## Git-tag a new release.
-	git tag -a release-`python -c "import setup; print(setup.VERSION)"` -m `git rev-list HEAD --count`:`git rev-parse --short HEAD`
+	git tag -a release-`python3 -c "import setup; print(setup.VERSION)"` -m `git rev-list HEAD --count`:`git rev-parse --short HEAD`
 	git push --follow-tags
 
 install-git-hooks:  ## Install GIT pre-commit hook.
@@ -205,7 +220,7 @@
 
 release:  ## Creates a release (tar.gz + upload + git tag release).
 	${MAKE} pre-release
-	$(PYTHON) -m twine upload dist/*  # upload tar on PYPI
+	$(PYTHON) -m twine upload --verbose dist/*  # upload tar on PYPI
 	${MAKE} git-tag-release
 
 generate-manifest:  ## Generates MANIFEST.in file.
