=== debian/changelog ===
python-pyftpdlib (1.5.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.5.9
  * add d/gbp.conf matching current Salsa setup
  * new release vendors a copy of old asyncore and asynchat (Closes: #1040092)
  * remove obsolete dependency on python3-unittest2 (Closes: #1058974)
  * refresh patch

 -- Alexandre Detiste <tchet@debian.org>  Tue, 02 Jan 2024 20:49:07 +0100
