=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                python3-setuptools,
 	       python3-sphinx,
 	       python3-sphinx-rtd-theme,
-               python3-unittest2,
 Standards-Version: 4.1.3
 Rules-Requires-Root: no
 Homepage: https://github.com/giampaolo/pyftpdlib/
